--//Sistema\\

function guardar_pw()

if keyboard==1 then name=teclado(1,"Escribe el nombre de tu presentación",20,"") else name=os.osk("Escribe el nombre de tu presentación","",20,1,0) end

os.message("Guardando... Este proceso puede durar unos segundos")
files.mkdir("ms0:/base/"..name.."/")
files.copy("archivo.txt","ms0:/base/"..name.."/file.ppf")
for i=1,10 do
	if files.exists("a"..i..".png") then files.copy("a"..i..".png","ms0:/base/"..name.."/a"..i..".png") end
	if files.exists("b"..i..".png") then files.copy("b"..i..".png","ms0:/base/"..name.."/b"..i..".png") end
end
if files.exists("snd.wav") then 
	files.copy("snd.wav","ms0:/base/"..name.."/snd.wav") 
	frag4="snd_fondo=sound.load('ms0:/base/"..name.."/snd.wav')"
end
if files.exists("snd.mp3") then 
	files.copy("snd.mp3","ms0:/base/"..name.."/snd.mp3") 
	frag4="snd_fondo=sound.load('ms0:/base/"..name.."/snd.mp3')"
end

archivo=io.open("ms0:/base/"..name.."/file.ppf","w+")

for i=1,10 do
	frag1="t1={x="..di[i].t1.x..",y="..di[i].t1.y..",t="..di[i].t1.t..",c='"..di[i].t1.c.."',o=0x"..string.format("%x",tonumber(di[i].t1.o))..",f="..di[i].t1.f.."},"
	frag2="t2={x="..di[i].t2.x..",y="..di[i].t2.y..",t="..di[i].t2.t..",c='"..di[i].t2.c.."',o=0x"..string.format("%x",tonumber(di[i].t2.o))..",f="..di[i].t2.f.."},"
	if type(di[i].i1.i)=="userdata" then frag3a="i1={x="..di[i].i1.x..",y="..di[i].i1.y..",i=image.load('a"..i..".png')}," else frag3a="i1={x="..di[i].i1.x..",y="..di[i].i1.y..",i=nil}," end
	if type(di[i].i2.i)=="userdata" then frag3b="i2={x="..di[i].i2.x..",y="..di[i].i2.y..",i=image.load('b"..i..".png')}" else  frag3b="i2={x="..di[i].i2.x..",y="..di[i].i2.y..",i=nil}" end

	archivo:write("di["..i.."]={"..frag1..frag2..frag3a..frag3b.."}\n")
end
archivo:write(frag4.."\nmaximas="..maximas.."\ntransicion="..transicion)
archivo:flush()
archivo:close()
os.message("Guardado con éxito")
end


function ver_presentacion()
	
	if controls.press("circle") then 
		viendo=false
		p_time:reset()
		p_time:stop()
		diapo=1
	end
	if p_time:time()<30 and type(snd_fondo)=="userdata" then snd_fondo:play(2) end
	for i=1,maximas do
		if p_time:time()>(i-1)*transicion*1000 and p_time:time()<(i)*transicion*1000 then diapo=i end
	end
	if p_time:time()>maximas*transicion*1000 then
		viendo=false
		p_time:reset()
		p_time:stop()
		diapo=1
	end
end

function open_presentacion()
	
	draw.fillrect(0,30,480,242,blanco)
	
	for i=1,#my_files do
		if my_file==i then
			draw.fillrect(8,30+i*15-2,screen.textwidth(files.nopath(my_files[i].name),0.7)+4,14,azul)
			screen.print(10,30+i*15,files.nopath(my_files[i].name),0.7,blanco,0)
		else
			screen.print(10,30+i*15,files.nopath(my_files[i].name),0.7,negro,0)
		end
	end
		
	if not controls.triangle() then
		if controls.press("up") and my_file>1 then my_file=my_file-1 end
		if controls.press("down") and my_file<#my_files then my_file=my_file+1 end
	

		if controls.press("left") then
			my_file=1
			my_files=files.list(files.nofile(files.nofile(my_files[my_file].name)))
		end
		if controls.press("right") then
			if my_files[my_file].directory and #files.list(my_files[my_file].name)>0 then
				my_files=files.list(my_files[my_file].name)
				my_file=1
			end
		end
	end
	
	if controls.press("cross") and files.ext(my_files[my_file].name)=="ppf" then dofile(my_files[my_file].name) abriendo=false end
	if controls.press("circle") then abriendo=false end
end



	